BookmarkSubscribeRSS Feed
Siva_Harish
Obsidian | Level 7
ERROR: The SAS/ACCESS Interface to ORACLE cannot be loaded. ERROR: Image SASORA   found but not loadable.. 
Please make sure Oracle environment is set correctly. 
Look in the install/Config doc for additional info for your platform. 
Other possible reasons - incomplete Oracle client install, 32/64-bit mismatch between Oracle client & SAS, incorrect Oracle client 
2                                                          The SAS System                          13:10 Thursday, December 31, 2020

       version(Oracle client must match the version picked during post-install process), incompatible sasora for your OS or its 
       attribs don't permit SAS to load it.
ERROR: Error in the LIBNAME statement.

Hi Folks,

I am getting the above error while connecting to Oracle developer through libname statement using SAS 9.4 32 bit version 

 

Followed below steps upto 2nd and stuck at 3rd point because when i look at bothpaths there is no quotation marks (attached Snapshots) 

  1. Open the Windows Registry Editor:
    1. Select Start ► Run.
    2. Enter regedit in the search box.
  2. Navigate to HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\App Paths.
  3. Look for the key SAS.EXE. There are two entries under SAS.EXE. Remove the quotation marks from the beginning and end of the paths for both entries.
1 REPLY 1
Anand_V
Ammonite | Level 13

Hi @Siva_Harish 

 

What is the SAS Version you are using? This issue was fixed for 9.4 M1 release.

https://support.sas.com/kb/46/630.html

 

If you are on a higher version, I believe there could be something else that is causing the issue at your site. Can you confirm you are using the correct oracle client version that is required as per your site release version? You can check this in the system requirements document to confirm the version compatibility. 

 

Ref: https://documentation.sas.com/?cdcId=pgmsascdc&cdcVersion=9.4_3.5&docsetId=acreldb&docsetTarget=n1pq...

 

https://support.sas.com/documentation/installcenter/en/ikfdtnwx6sr/66390/PDF/default/sreq.pdf

 

 

For SAS 9.4M7
DBMS Products Required:
• Oracle Database 12.1 or later
• Oracle Client 12.1 or later
Notes: Some additional configuration might be required to use the 12c, 18c, or later client. See the
Configuration Guide for SAS 9.4 Foundation for Microsoft Windows for x64 for more
information.
You can also use the Oracle Instant Client with SAS/ACCESS Interface to Oracle. However,
if you find any issues, you should switch to the full Oracle client, which is the only Oracle
client that SAS uses in official tests. SAS Technical Support will only investigate issues that
can be reproduced with the full Oracle client.
For best results, SAS recommends installing the latest patches on the client and server.

 

Similar issue was earlier fixed here: https://communities.sas.com/t5/Administration-and-Deployment/Can-t-connect-to-Oracle/td-p/113085

 

suga badge.PNGThe SAS Users Group for Administrators (SUGA) is open to all SAS administrators and architects who install, update, manage or maintain a SAS deployment. 

Join SUGA 

CLI in SAS Viya

Learn how to install the SAS Viya CLI and a few commands you may find useful in this video by SAS’ Darrell Barton.

Find more tutorials on the SAS Users YouTube channel.

Discussion stats
  • 1 reply
  • 3761 views
  • 1 like
  • 2 in conversation